---
title: >-
  Reason: missing token ‘xyz’ in CORS header ‘Access-Control-Allow-Headers’ from
  CORS preflight channel
slug: Web/HTTP/CORS/Errors/CORSMissingAllowHeaderFromPreflight
tags:
  - CORS
  - CORSMissingAllowHeaderFromPreflight
  - Cross-Origin
  - Error
  - HTTP
  - HTTPS
  - Messages
  - Reasons
  - Security
  - console
  - troubleshooting
---
<div>{{HTTPSidebar}}</div>

<h2 id="Reason">Reason</h2>

<pre class="syntaxbox">Reason: missing token ‘xyz’ in CORS header ‘Access-Control-Allow-Headers’ from CORS preflight channel</pre>

<h2 id="What_went_wrong">What went wrong?</h2>

<p>The <code>Access-Control-Allow-Headers</code> header is sent by the server to let the client know which headers it supports for {{Glossary("CORS")}} requests. The value of <code>Access-Control-Allow-Headers</code> should be a comma-delineated list of header names, such as "<code>X-Custom-Information</code>" or any of the standard but non-basic header names (which are always allowed).</p>

<p>This error occurs when attempting to preflight a header that is not expressly allowed (that is, it's not included in the list specified by the <code>Access-Control-Allow-Headers</code> header sent by the server). To fix this, the server needs to be updated so that it allows the indicated header, or you need to avoid using that header.</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/HTTP/CORS/Errors">CORS errors</a></li>
 <li>Glossary: {{Glossary("CORS")}}</li>
 <li><a href="/en-US/docs/Web/HTTP/CORS">CORS introduction</a></li>
 <li><a href="/en-US/docs/Web/HTTP/Headers">HTTP headers</a></li>
</ul>
